Skip to main content
GET
/
geo-pricing
Resolve Geo Pricing
curl --request GET \
  --url https://api.blink.store/v1/geo-pricing \
  --header 'x-store-id: <api-key>'
import requests

url = "https://api.blink.store/v1/geo-pricing"

headers = {"x-store-id": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-store-id': '<api-key>'}};

fetch('https://api.blink.store/v1/geo-pricing', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "discount_percentage": 123,
    "country_code": "<string>",
    "country_name": "<string>",
    "is_enabled": true
  }
}

Authorizations

x-store-id
string
header
required

Query Parameters

country_code
string

The 2-letter ISO country code of the buyer (e.g., BR, IN). If omitted, the API will automatically resolve the buyer's location via their IP address.

product_id
string

If provided, checks if geo-pricing is explicitly disabled for this specific product, returning a 0% discount if opted out.

Response

The calculated geo-pricing discount

data
object